Consts

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.java
Class Consts

    java.lang.Object
      org.openswing.swing.util.java.Consts

public class Consts
extends java.lang.Object

Title: OpenSwing Framework

Description: Singleton containing application constants.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static java.lang.String` | `ASC_SORTED` ascending order versus
`static int` | `BACK_IMAGE_CENTERED` constant used in ClientSetting.BACK_IMAGE_DISPOSITION: it defines that background image in MDI must be drawed centered
`static int` | `BACK_IMAGE_REPEATED` constant used in ClientSetting.BACK_IMAGE_DISPOSITION: it defines that background image in MDI must be drawed repeated
`static int` | `BACK_IMAGE_STRETCHED` constant used in ClientSetting.BACK_IMAGE_DISPOSITION: it defines that background image in MDI must be drawed stretched
`static int` | `BUTTON_IMAGE_AND_TEXT` used in ClientSettings.BUTTON_BEHAVIOR global property to show image and text on default buttons (insert, edit, ...) )
`static int` | `BUTTON_IMAGE_ONLY` used in ClientSettings.BUTTON_BEHAVIOR global property to show image on default buttons (insert, edit, ...) )
`static int` | `BUTTON_TEXT_ONLY` used in ClientSettings.BUTTON_BEHAVIOR global property to show text on default buttons (insert, edit, ...) )
`static int` | `CONTAINS` default value that could be set in the quick filter criteria: contains
`static java.lang.String` | `DESC_SORTED` descending order versus
`static int` | `EDIT`
`static int` | `ENDS_WITH` default value that could be set in the quick filter criteria: ends with
`static java.lang.String` | `EQ` filter criteria available in filter panel
`static int` | `EQUALS` default value that could be set in the quick filter criteria: equals
`static int` | `FILTER_PANEL_ON_GRID_CLOSE_ON_EXIT` constant assignable in "filterPanelOnGridPolicy" property of GridControl to automatically hide filter panel when mouse exits from that panel
`static int` | `FILTER_PANEL_ON_GRID_USE_CLOSE_BUTTON` constant assignable in "filterPanelOnGridPolicy" property of GridControl to hide filter panel by pressing a close button
`static int` | `FILTER_PANEL_ON_GRID_USE_PADLOCK_PRESSED` constant assignable in "filterPanelOnGridPolicy" property of GridControl to hide filter panel by using a padlock button (pressed as default)
`static int` | `FILTER_PANEL_ON_GRID_USE_PADLOCK_UNPRESSED` constant assignable in "filterPanelOnGridPolicy" property of GridControl to hide filter panel by using a padlock button (unpressed as default)
`static java.lang.String` | `GE`
`static int` | `GRID_SCROLL_BLOCK_INCREMENT_PAGE` used in ClientSettings.GRID_SCROLL_BLOCK_INCREMENT global property to set the block increment in grid to one page per time
`static int` | `GRID_SCROLL_BLOCK_INCREMENT_ROW` used in ClientSettings.GRID_SCROLL_BLOCK_INCREMENT global property to set the block increment in grid to one row per time
`static java.lang.String` | `GT`
`static java.lang.String` | `IN`
`static int` | `INSERT`
`static java.lang.String` | `IS_NOT_NULL`
`static java.lang.String` | `IS_NULL`
`static java.lang.String` | `LE`
`static java.lang.String` | `LIKE`
`static java.lang.String` | `LT`
`static java.lang.String` | `NEQ`
`static java.lang.String` | `NO_SORTED` no order versus
`static int` | `READONLY`
`static int` | `STARTS_WITH` default value that could be set in the quick filter criteria: starts with
`static java.lang.String` | `TREE_FILTER` filter to apply in lookup grid data
`static int` | `TYPE_DATE`
`static int` | `TYPE_DATE_TIME`
`static int` | `TYPE_TIME`

Constructor Summary
`Consts()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READONLY

    public static final int READONLY

See Also:
  Constant Field Values

### INSERT

    public static final int INSERT

See Also:
  Constant Field Values

### EDIT

    public static final int EDIT

See Also:
  Constant Field Values

### ASC_SORTED

    public static final java.lang.String ASC_SORTED

  ascending order versus

  See Also:
    Constant Field Values

### DESC_SORTED

    public static final java.lang.String DESC_SORTED

  descending order versus

  See Also:
    Constant Field Values

### NO_SORTED

    public static final java.lang.String NO_SORTED

  no order versus

  See Also:
    Constant Field Values

### TYPE_DATE

    public static final int TYPE_DATE

See Also:
  Constant Field Values

### TYPE_DATE_TIME

    public static final int TYPE_DATE_TIME

See Also:
  Constant Field Values

### TYPE_TIME

    public static final int TYPE_TIME

See Also:
  Constant Field Values

### TREE_FILTER

    public static final java.lang.String TREE_FILTER

  filter to apply in lookup grid data

  See Also:
    Constant Field Values

### EQ

    public static final java.lang.String EQ

  filter criteria available in filter panel

  See Also:
    Constant Field Values

### GE

    public static final java.lang.String GE

See Also:
  Constant Field Values

### GT

    public static final java.lang.String GT

See Also:
  Constant Field Values

### IS_NOT_NULL

    public static final java.lang.String IS_NOT_NULL

See Also:
  Constant Field Values

### IS_NULL

    public static final java.lang.String IS_NULL

See Also:
  Constant Field Values

### LE

    public static final java.lang.String LE

See Also:
  Constant Field Values

### LIKE

    public static final java.lang.String LIKE

See Also:
  Constant Field Values

### LT

    public static final java.lang.String LT

See Also:
  Constant Field Values

### NEQ

    public static final java.lang.String NEQ

See Also:
  Constant Field Values

### IN

    public static final java.lang.String IN

See Also:
  Constant Field Values

### EQUALS

    public static final int EQUALS

  default value that could be set in the quick filter criteria: equals

  See Also:
    Constant Field Values

### CONTAINS

    public static final int CONTAINS

  default value that could be set in the quick filter criteria: contains

  See Also:
    Constant Field Values

### STARTS_WITH

    public static final int STARTS_WITH

  default value that could be set in the quick filter criteria: starts with

  See Also:
    Constant Field Values

### ENDS_WITH

    public static final int ENDS_WITH

  default value that could be set in the quick filter criteria: ends with

  See Also:
    Constant Field Values

### FILTER_PANEL_ON_GRID_CLOSE_ON_EXIT

    public static final int FILTER_PANEL_ON_GRID_CLOSE_ON_EXIT

  constant assignable in "filterPanelOnGridPolicy" property of GridControl to automatically hide filter panel when mouse exits from that panel

  See Also:
    Constant Field Values

### FILTER_PANEL_ON_GRID_USE_CLOSE_BUTTON

    public static final int FILTER_PANEL_ON_GRID_USE_CLOSE_BUTTON

  constant assignable in "filterPanelOnGridPolicy" property of GridControl to hide filter panel by pressing a close button

  See Also:
    Constant Field Values

### FILTER_PANEL_ON_GRID_USE_PADLOCK_PRESSED

    public static final int FILTER_PANEL_ON_GRID_USE_PADLOCK_PRESSED

  constant assignable in "filterPanelOnGridPolicy" property of GridControl to hide filter panel by using a padlock button (pressed as default)

  See Also:
    Constant Field Values

### FILTER_PANEL_ON_GRID_USE_PADLOCK_UNPRESSED

    public static final int FILTER_PANEL_ON_GRID_USE_PADLOCK_UNPRESSED

  constant assignable in "filterPanelOnGridPolicy" property of GridControl to hide filter panel by using a padlock button (unpressed as default)

  See Also:
    Constant Field Values

### BACK_IMAGE_CENTERED

    public static final int BACK_IMAGE_CENTERED

  constant used in ClientSetting.BACK_IMAGE_DISPOSITION: it defines that background image in MDI must be drawed centered

  See Also:
    Constant Field Values

### BACK_IMAGE_REPEATED

    public static final int BACK_IMAGE_REPEATED

  constant used in ClientSetting.BACK_IMAGE_DISPOSITION: it defines that background image in MDI must be drawed repeated

  See Also:
    Constant Field Values

### BACK_IMAGE_STRETCHED

    public static final int BACK_IMAGE_STRETCHED

  constant used in ClientSetting.BACK_IMAGE_DISPOSITION: it defines that background image in MDI must be drawed stretched

  See Also:
    Constant Field Values

### BUTTON_IMAGE_ONLY

    public static final int BUTTON_IMAGE_ONLY

  used in ClientSettings.BUTTON_BEHAVIOR global property to show image on default buttons (insert, edit, ...) )

  See Also:
    Constant Field Values

### BUTTON_TEXT_ONLY

    public static final int BUTTON_TEXT_ONLY

  used in ClientSettings.BUTTON_BEHAVIOR global property to show text on default buttons (insert, edit, ...) )

  See Also:
    Constant Field Values

### BUTTON_IMAGE_AND_TEXT

    public static final int BUTTON_IMAGE_AND_TEXT

  used in ClientSettings.BUTTON_BEHAVIOR global property to show image and text on default buttons (insert, edit, ...) )

  See Also:
    Constant Field Values

### GRID_SCROLL_BLOCK_INCREMENT_ROW

    public static final int GRID_SCROLL_BLOCK_INCREMENT_ROW

  used in ClientSettings.GRID_SCROLL_BLOCK_INCREMENT global property to set the block increment in grid to one row per time

  See Also:
    Constant Field Values

### GRID_SCROLL_BLOCK_INCREMENT_PAGE

    public static final int GRID_SCROLL_BLOCK_INCREMENT_PAGE

  used in ClientSettings.GRID_SCROLL_BLOCK_INCREMENT global property to set the block increment in grid to one page per time

  See Also:
    Constant Field Values

Constructor Detail

### Consts

    public Consts()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD